import { ExmlPlugin } from "built-in";

/**
 * 示例自定义插件，您可以查阅 http://developer.egret.com/cn/github/egret-docs/Engine2D/projectConfig/cmdExtensionPlugin/index.html
 * 了解如何开发一个自定义插件
 */
export class PublishExmlOnly extends ExmlPlugin implements plugins.Command {

    async onFile(file: plugins.File) {
        if (file.extname == '.exml')
            return super['onFile'](file);
        return null
    }
}